org.codehaus.groovy.runtime.wrappers

## Class GroovyObjectWrapper

- java.lang.Object
- - org.codehaus.groovy.runtime.wrappers.Wrapper
  - - org.codehaus.groovy.runtime.wrappers.GroovyObjectWrapper

All Implemented Interfaces:
  GroovyObject

    public class GroovyObjectWrapper
    extends Wrapper

Author:
  John Wilson

### Field Summary

Fields
`protected GroovyObject` `wrapped`

### Fields inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper

`constrainedType`

### Constructor Summary

Constructors
Constructor and Description
`GroovyObjectWrapper(GroovyObject wrapped, java.lang.Class constrainedType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected MetaClass` `getDelegatedMetaClass()`
`java.lang.Object` `getProperty(java.lang.String property)` Retrieves a property value.
`protected java.lang.Object` `getWrapped()`
`java.lang.Object` `invokeMethod(java.lang.String name, java.lang.Object args)` Invokes the given method.
`void` `setMetaClass(MetaClass metaClass)` Allows the MetaClass to be replaced with a derived implementation.
`void` `setProperty(java.lang.String property, java.lang.Object newValue)` Sets the given property to the new value.
`java.lang.Object` `unwrap()`

### Methods inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper

`getMetaClass, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### wrapped

    protected final GroovyObject wrapped

### Constructor Detail

#### GroovyObjectWrapper

    public GroovyObjectWrapper(GroovyObject wrapped,
                               java.lang.Class constrainedType)

### Method Detail

#### unwrap

    public java.lang.Object unwrap()

Specified by:
  `unwrap` in class `Wrapper`

#### getProperty

    public java.lang.Object getProperty(java.lang.String property)

Description copied from interface: `GroovyObject`
Retrieves a property value.

Parameters:
  `property` - the name of the property of interest
Returns:
  the given property

#### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name,
                                         java.lang.Object args)

Description copied from interface: `GroovyObject`
Invokes the given method.

Parameters:
  `name` - the name of the method to call
  `args` - the arguments to use for the method call
Returns:
  the result of invoking the method

#### setMetaClass

    public void setMetaClass(MetaClass metaClass)

Description copied from interface: `GroovyObject`
Allows the MetaClass to be replaced with a derived implementation.

Parameters:
  `metaClass` - the new metaclass

#### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.Object newValue)

Description copied from interface: `GroovyObject`
Sets the given property to the new value.

Parameters:
  `property` - the name of the property of interest
  `newValue` - the new value for the property

#### getWrapped

    protected java.lang.Object getWrapped()

Specified by:
  `getWrapped` in class `Wrapper`

#### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

Specified by:
  `getDelegatedMetaClass` in class `Wrapper`